読者です 読者をやめる 読者になる 読者になる

gennei's blog

IT、読書、日記、メモ

gem install pg でエラーが出てから解決まで

環境は
OS:Marverics
Ruby:2.0.0

gem install pg

でエラーになってしまう。どうやらpostgresqlをinstallしないといけないらしい

brew install postgres

インストールした先の設定ファイルを指定して先頭に以下のものを追加する

ARCHFLAGS="-arch x86_64" gem install pg -- --with-pg-config=/usr/local/Cellar/postgresql/9.3.5/bin/pg_config

これでインストールできた